// BlobDataRS.cpp : implementation file
//

#include "stdafx.h"
#include "myodbctest.h"
#include "BlobDataRS.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBlobDataRS

IMPLEMENT_DYNAMIC(CBlobDataRS, CBaseSet)

CBlobDataRS::CBlobDataRS(CDatabase* pdb)
	: CBaseSet(pdb)
{
	//{{AFX_FIELD_INIT(CBlobDataRS)
	m_blob_id = 0;
	m_nFields = 2;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
	m_nColumnSize = 10000;
}


CString CBlobDataRS::GetDefaultConnect()
{
	return _T("ODBC;DSN=blobdata");
}

CString CBlobDataRS::GetDefaultSQL()
{
	return _T("[blob_data]");
}

void CBlobDataRS::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CBlobDataRS)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[blob_id]"), m_blob_id);
	RFX_Binary(pFX, _T("[data]"), m_data, 10000);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CBlobDataRS diagnostics

#ifdef _DEBUG
void CBlobDataRS::AssertValid() const
{
	CBaseSet::AssertValid();
}

void CBlobDataRS::Dump(CDumpContext& dc) const
{
	CBaseSet::Dump(dc);
}
#endif //_DEBUG
